Table of Contents

Class: ExceptionLogger | eric3/Debugger/ExceptionLogger.py
--- | ---

### Class implementing the Exception Logger widget.

This class displays a log of all exceptions having occured during a debugging session.

Base Classes |
--- | ---
QListView

Methods |
--- | ---
__init__ addException contentsMouseDoubleClickEvent debuggingStarted handleContextMenu handleOpen
| __init__

    __init__ ( self,  parent=None )

### Constructor

#### Arguments

parent
  the parent widget of this widget

| addException

    addException ( self,  status )

### Public slot to handle the arrival of a new exception.

#### Arguments

status
  exception information

| contentsMouseDoubleClickEvent

    contentsMouseDoubleClickEvent ( self,  mouseEvent )

### Protected method of QListView.

Reimplemented to disable expanding/collapsing of items when double-clicking. Instead the double-clicked entry is opened.

#### Arguments

mouseEvent
  the mouse event (QMouseEvent), ignored

| debuggingStarted

    debuggingStarted ( self )

Public slot to clear the listview upon starting a new debugging session.

| handleContextMenu

    handleContextMenu (
            self,
            itm,
            coord,
            col,
            )

### Private slot to show the context menu of the listview.

#### Arguments

itm
  the item, that was right clicked (QListViewItem)
coord
  the global coordinates of the mouse pointer (QPoint)
col
  the column number of the mouse pointer (int)

| handleOpen

    handleOpen ( self )

Private slot to handle a double click on an entry.

Table of Contents

This document was automatically generated by HappyDoc version 2.1